View Issue Details

IDProjectCategoryView StatusLast Update
0000211Cinelerra-GG[All Projects] Bugpublic2019-06-01 23:29
ReporterminiskipperAssigned ToPhyllisSmith 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSArch LinuxOS Version
Product Version 
Target VersionFixed in Version2019-05 
Summary0000211: hw dev "vdpau": png not rendered/displayed
DescriptionWhen setting the HW device to "vdpau" (or when rendering with cin_hw_dev=vdpau) png images are not displayed in composer and also not rendered.

Don't know if this is my fault or a maybe missing lib?

Log:
Decoder png does not support device type vdpau.
HW device init failed, using SW decode.
file:/data3/videos/assets/einblendung_unten_1920_geschwungen.png
  err: Success
Steps To Reproduceset HW device to "vdpau" in settings, restart, load a png image, image is not displayed in composer
OR
load a png file, render with cin_hw_dev=vdpau, afterwards png is not displayed in composer
TagsNo tags attached.

Activities

miniskipper

miniskipper

2019-05-08 07:04

reporter   ~0001515

Pngs are displayed and rendered (via sw) now. Thanks.
PhyllisSmith

PhyllisSmith

2019-05-07 17:57

manager   ~0001513

Fixed in the latest GIT checkin. I "think" this error is probably in the end of April builds in case anyone asks.
Included in the Ubuntu 16 build at:
   https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz
PhyllisSmith

PhyllisSmith

2019-05-07 13:24

manager   ~0001512

Last edited: 2019-05-07 13:26

View 2 revisions

Good thing you reported this -- gg was unaware that it is not correctly reverting to the software.
This hardware acceleration needs more testing for decode.

Andrea_Paz

Andrea_Paz

2019-05-07 07:51

updater   ~0001509

Yes, me too.
Pngs are not supported by vdpau; but I think any image format is not supported.
I think GG is still working on the problem of displaying files.

Issue History

Date Modified Username Field Change
2019-05-07 05:24 miniskipper New Issue
2019-05-07 07:51 Andrea_Paz Note Added: 0001509
2019-05-07 13:24 PhyllisSmith Assigned To => PhyllisSmith
2019-05-07 13:24 PhyllisSmith Status new => confirmed
2019-05-07 13:24 PhyllisSmith Note Added: 0001512
2019-05-07 13:26 PhyllisSmith Note Edited: 0001512 View Revisions
2019-05-07 17:57 PhyllisSmith Status confirmed => feedback
2019-05-07 17:57 PhyllisSmith Note Added: 0001513
2019-05-08 07:04 miniskipper Note Added: 0001515
2019-05-08 07:04 miniskipper Status feedback => assigned
2019-05-08 13:01 PhyllisSmith Status assigned => resolved
2019-05-08 13:01 PhyllisSmith Resolution open => fixed
2019-05-08 13:01 PhyllisSmith Fixed in Version => 2019-05
2019-06-01 23:29 PhyllisSmith Status resolved => closed